Subject: Re: bug#49596: 28.0.50; shadowfile.el: `shadow-define-literal-group' is broken
From: Michael Albinus <[email-masked]>
To: Max Brieiev <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Sep 2021 15:55:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

Michael Albinus <[email-masked]> writes:

Hi Max,

>> Yes, the issue is fixed.
>
> Thanks for the feedback.
>
>> However, the interface of `shadow-define-literal-group` is somewhat
>> obscure:
>>
>> - `M-x shadow-define-literal-group RET RET` will insert `nil` into
>>   `shadow-literal-groups`, which is probably not correct?
>
> Fixed.
>
>> - The first prompt `Host identification or cluster name: ` isn't very
>>   descriptive. There is not much docs and I had to learn by trial and
>>   error that it accepts either tramp format like `/ssh:user@host:` for
>>   remote endpoints or a plain string like `my-linux-box` for local host
>>   names. And it seems if it can't resolve provided host name it will
>>   silently insert `nil` into `shadow-literal-groups`, which also doesn't
>>   seem correct.
>
> I've adapted this. It prompts now for "Site name: ", and it has also a
> help echo describing what a site name is (move the mouse over the prompt).
> The error is fixed.
>
>> That said, it is easier to set `shadow-literal-groups` manually, because
>> you can manually test accessibility of remote files and then simply
>> append the resulting tramp file name into the variable.
>
> That's an alternative. But the interactive command shall also work as
> expected.

No further comment, so I'm closing the bug. Feel free to report further
problems if available.

Best regards, Michael.